/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define(['ko', 'domReady!'], function (ko) {
    'use strict';

    var tones = ko.observableArray([]),
        styles = ko.observableArray([]),
        audience = ko.observableArray([]),
        customTone = ko.observable(''),
        customStyle = ko.observable(''),
        descMin = ko.observable(),
        descMax = ko.observable(),
        excMin = ko.observable(),
        excMax = ko.observable(),
        credits = ko.observableArray([]),
        formalLanguageSupport = ko.observableArray([]),
        formalLanguages = ko.observableArray([]),
        disallowedCombinations = ko.observableArray([]),
        guideSteps = ko.observable(false),
        useAiModel = ko.observable(false),
        selectedAiModel = ko.observable(''),
        genToneStyleMode = ko.observable('manual');

    return {
        tones: tones,
        styles: styles,
        audience: audience,
        customTone: customTone,
        customStyle: customStyle,
        descMin: descMin,
        descMax: descMax,
        excMin: excMin,
        excMax: excMax,
        credits: credits,
        formalLanguageSupport: formalLanguageSupport,
        formalLanguages: formalLanguages,
        disallowedCombinations: disallowedCombinations,
        guideSteps: guideSteps,
        useAiModel: useAiModel,
        selectedAiModel: selectedAiModel,
        genToneStyleMode: genToneStyleMode
    };
});
